Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.tools.shell.commands
[Groovy] Class RecordCommand

    java.lang.Object
      org.codehaus.groovy.tools.shell.CommandSupport
          org.codehaus.groovy.tools.shell.ComplexCommandSupport
              org.codehaus.groovy.tools.shell.commands.RecordCommand

    class RecordCommand
    extends ComplexCommandSupport

The 'record' command.

Authors:
  Jason Dillon

Version:
  \$Id: RecordCommand.groovy 21097 2010-11-23 19:02:56Z roshandawrani \$

Field Summary

Fields inherited from class ComplexCommandSupport
defaultFunction, functions

Fields inherited from class CommandSupport
NEWLINE, io, log, messages, registry, shell

Property Summary
`def` | `do_start`
`def` | `do_status`
`def` | `do_stop`

Constructor Summary
`RecordCommand(Shell shell)`

Method Summary
`boolean` | `isRecording()`
`def` | `recordError(Throwable cause)`
`def` | `recordInput(String line)`
`def` | `recordResult(Object result)`

Methods inherited from class ComplexCommandSupport
createCompletors, execute, executeFunction, loadFunction

Methods inherited from class CommandSupport
alias, assertNoArguments, createCompletors, fail, fail, getBinding, getBuffer, getBuffers, getClassLoader, getCompletor, getDescription, getHelp, getHistory, getImports, getUsage, getVariables

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### do_start

    def do_start

### do_status

    def do_status

### do_stop

    def do_stop

Constructor Detail

### RecordCommand

    RecordCommand(Shell shell)

Method Detail

### isRecording

    boolean isRecording()

### recordError

    def recordError(Throwable cause)

### recordInput

    def recordInput(String line)

### recordResult

    def recordResult(Object result)

Copyright © 2003-2010 The Codehaus. All rights reserved.